package io.github.thehrz.proxyServerHelper.listeners

import com.velocitypowered.api.event.Subscribe
import com.velocitypowered.api.event.connection.DisconnectEvent
import com.velocitypowered.api.event.connection.DisconnectEvent.LoginStatus
import io.github.thehrz.proxyServerHelper.ProxyServerHelper
import io.github.thehrz.proxyServerHelper.utils.ProxyUtils

class PlayerDisconnectListener {
    @Subscribe
    fun onPlayerDisconnect(event: DisconnectEvent) {
        if (event.loginStatus == LoginStatus.SUCCESSFUL_LOGIN && ProxyServerHelper.instance.config.getBoolean("settings.leave", true)) {
            ProxyUtils.sendMessage(
                ProxyServerHelper.instance.config.getString("messages.leave"), mapOf(
                    "{player}" to event.player.username
                )
            )
        }
    }
}