package io.github.thehrz.proxyServerHelper.utils

import io.github.thehrz.proxyServerHelper.ProxyServerHelper

object ProxyUtils {
    private fun replaceStringUsingMap(input: String, replacementMap: Map<String, String>): String {
        var result = input
        for ((target, replacement) in replacementMap) {
            result = result.replace(target, replacement)
        }
        return result
    }

    fun sendMessage(message: String, args: Map<String, String> = emptyMap()) {
        val str = replaceStringUsingMap(message, args)
        val component = ProxyServerHelper.instance.miniMessage.deserialize(str)
        ProxyServerHelper.instance.logger.info(str)
        ProxyServerHelper.instance.server.consoleCommandSource.sendMessage(component)
        for (srv in ProxyServerHelper.instance.server.allServers) {
            if (!srv.playersConnected.isEmpty()) {
                srv.sendMessage(component)
            }
        }
    }
}